

/** --------------------------------------------
    Global Styling Rules
--------------------------------------------- */

button#world-anvil {
    flex: 0 0 32px;
    min-width: inherit;
}
button#world-anvil img {
    position: relative;
    border: none;
    height: 24px;
    width: auto;
}

/** --------------------------------------------
    Application Styling Rules
--------------------------------------------- */

/* World Overview */
#world-anvil-browser .world-description {
    max-height: 200px;
    overflow-y: auto;
    scrollbar-width: thin;
}

/* Article Links */
#world-anvil-browser .world-anvil-link {
    flex: 1;
    margin: 0;
    padding-left: 20px;
    background-image: url(icons/wa-icon.svg);
    background-repeat: no-repeat;
    background-size: 16px 16px;
    background-position: 0 50%;
    color: #191813;
    text-decoration: none;
}

#world-anvil-browser a.article-link {
    color: #191813;
    text-decoration: none;
}



/* General Rules */
#world-anvil-browser .controls {
    flex: none;
}
#world-anvil-browser .world-anvil-control {
    width: 32px;
    height: 24px;
    margin: 0;
    padding: 0 4px;
    line-height: 24px;
    text-align: center;
}
#world-anvil-browser .world-anvil-control.inactive {
    opacity: 0.65;
}
#world-anvil-browser .world-anvil-control > i {
    margin: 0;
}

/* Categories */
#world-anvil-browser .category-header {
    align-items: center;
    padding: 0.5em 0;
    margin: 0;
    border-top: 1px solid #782e22;
    border-bottom: 1px solid #782e22;
}
#world-anvil-browser .category-title {
    margin: 0;
    border: none;
}
#world-anvil-browser .subcategories {
    margin-left: 0.5em;
    padding-left: 0.5em;
    border-left: 2px solid rgba(0, 0, 0, 0.25);
    border-bottom: 1px solid rgba(0, 0, 0, 0.25);
}
#world-anvil-browser .subcategories .category-header:first-child {
    border-top: none;
}

/* Articles */
#world-anvil-browser .article {
    align-items: center;
    padding: 0.25em 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.25);
}
#world-anvil-browser .article:last-child {
    border-bottom: none;
}
#world-anvil-browser .article-title {
    margin: 0;
    cursor: pointer;
}
#world-anvil-browser .article-title:hover {
    text-shadow: 0 0 4px red;
}


/* Article Filters */
#world-anvil-browser .article-filters {
    margin-top: 1em;
    padding: 0.25em 0;
    border-top: 1px solid #782e22;
}
#world-anvil-browser .article-filters button {
    flex: auto;
    margin-left: 3px
}

/** --------------------------------------------
    Journal Entries
--------------------------------------------- */

.journal-sheet.world-anvil .image-thumb-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.journal-sheet.world-anvil .image-thumb-container img {
    max-width: 320px;
    max-height: 480px;
}

dt {
    font-weight: bold;
}

dd {
    padding-left: 5px;
    margin: 3px 0;
}

